Document of c-modernization-kit (override-sample) 1.0.0

Loading...
Searching...
No Matches
Functions | Variables
funcman_libbase.c File Reference

funcman が管理する関数ポインタの実定義。 More...

`#include "funcman_libbase.h"`
`#include <stdio.h>`
Include dependency graph for funcman_libbase.c:

Go to the source code of this file.

## Functions
int | funcman_info_libbase ()
| libbase が管理する funcman_object ポインタ配列の内容を標準出力に表示します。

## Variables
char | funcman_configpath [FUNCMAN_CONFIG_PATH_MAX] = {0}
| funcman 設定ファイルのパス
static funcman_object | sfo_sample_func = NEW_FUNCMAN_OBJECT("sample_func", sample_func_t)
| sample_func 用の funcman オブジェクト実体。
funcman_object *const | pfo_sample_func = &sfo_sample_func
| sample_func に対応する funcman オブジェクトへのポインタ。
funcman_object *const | fobj_array_libbase []
| funcman に設定するポインタ配列。
const size_t | fobj_length_libbase = sizeof(fobj_array_libbase) / sizeof(fobj_array_libbase[0])
| funcman に設定するポインタ配列の要素数

## Detailed Description

funcman が管理する関数ポインタの実定義。

Author
  c-modenization-kit sample team

Date
  2026/02/23

Version
  1.0.0

funcman_libbase.h には extern 宣言のみを宣言し、実体をここで定義します。 関数を追加する場合は、funcman_libbase.h, funcman_libbase.c をメンテナンスします。

Copyright
  Copyright (C) CompanyName, Ltd. 2026. All rights reserved.

Definition in file funcman_libbase.c.

## Function Documentation

## ◆ funcman_info_libbase()

int funcman_info_libbase | ( | void |  | ) |

libbase が管理する funcman_object ポインタ配列の内容を標準出力に表示します。

Returns
  すべてのエントリが正常に解決されている場合は 0、1 つでも失敗している場合は -1 を返します。

Definition at line 47 of file funcman_libbase.c.

References fobj_array_libbase, fobj_length_libbase, and funcman_configpath.

Referenced by main().

Here is the caller graph for this function:

## Variable Documentation

## ◆ funcman_configpath

char funcman_configpath[FUNCMAN_CONFIG_PATH_MAX] = {0}

funcman 設定ファイルのパス

Definition at line 21 of file funcman_libbase.c.

Referenced by funcman_info_libbase(), and onLoad().

## ◆ sfo_sample_func

funcman_object sfo_sample_func = NEW_FUNCMAN_OBJECT("sample_func", sample_func_t)
| static

sample_func 用の funcman オブジェクト実体。

Definition at line 27 of file funcman_libbase.c.

## ◆ pfo_sample_func

funcman_object* const pfo_sample_func = &sfo_sample_func

sample_func に対応する funcman オブジェクトへのポインタ。

Definition at line 29 of file funcman_libbase.c.

Referenced by sample_func().

## ◆ fobj_array_libbase

funcman_object* const fobj_array_libbase[]

Initial value:
= {
&sfo_sample_func,
}
sfo_sample_func
static funcman_object sfo_sample_func
sample_func 用の funcman オブジェクト実体。
Definition funcman_libbase.c:27

funcman に設定するポインタ配列。

Definition at line 38 of file funcman_libbase.c.

Referenced by funcman_info_libbase(), onLoad(), and onUnload().

## ◆ fobj_length_libbase

const size_t fobj_length_libbase = sizeof(fobj_array_libbase) / sizeof(fobj_array_libbase[0])

funcman に設定するポインタ配列の要素数

Definition at line 44 of file funcman_libbase.c.

Referenced by funcman_info_libbase(), onLoad(), and onUnload().